Bug 1218267

Summary: Using escalation discards data type of process variable
Product: [Retired] JBoss BPMS Platform 6 Reporter: Jozef Marko <jomarko>
Component: Eclipse ToolingAssignee: Kris Verlaenen <kverlaen>
Status: CLOSED EOL QA Contact: Jozef Marko <jomarko>
Severity: high Docs Contact:
Priority: medium    
Version: 6.1.0   
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-27 19:38:42 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
prepared process none

Description Jozef Marko 2015-05-04 12:56:14 UTC
Created attachment 1021743 [details]
prepared process

***Description of problem:
User can use escalation events in modeled bpmn2 process. The problem is, that there exist workflow, which causes discarding data type of process variable.

***Version-Release number of selected component (if applicable):
jbds-8.1.0.GA_jbdsis-8.0.2.ER1 -BPMN2 Modeler 1.1.3.201504171557

***How reproducible:
I have prepared some process (see the attachment). The prepared process contains definitions of one variable - LocalVariable(Object) and one escalation - Exception(java.lang.RuntimeException). Next there are connected elements of process. Two most important are 'InnerStart' and 'Throw'. Follow next section.

***Steps to Reproduce:
1. Open the attached process
2. Double click on 'InnerStart'
3. Edit the first Event Definition
4. Select 'Exception' in 'Escalation' combo
5. Select 'LocalVariable' in 'Target' combo
6. Save file
7. Check source code of process, there will be property LocalVariable with itemSubjectRef attribute
8. Double click on 'Throw'
9. On Event tab Edit first Event Definition
10. Select 'Exception' in 'Escalation' combo
11. Save process
12. Check source code of process, there will be property LocalVariable without itemSubjectRef attribute

***Expected results:
In step 12. there is still property LocalVariable with itemSubjectRef attribute

Comment 1 Robert (Bob) Brodt 2015-12-07 18:15:46 UTC
This is fixed in 1.1.4.Final and 1.2.1.Final

Comment 2 Jozef Marko 2016-01-18 14:57:44 UTC
Verified on jbdsis-8.0.5, BPMN2 Modeler 1.1.4.Final.